- /*
 Theme Name:   WPResidence Child Theme
 Theme URI:    https://themeforest.net/item/wp-residence-real-estate-wordpress-theme/7896392
 Description:  WPResidence child theme
 Author:       WpEstate
 Author URI:   http://wpestate.org
 Template:     wpresidence
 Version:      5.4.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
*/

/* Sumptuous Light font for headings */
.header_type6 .wpresidence_header_6_firs_menu{
	 width: auto !important;
}
.wpresidence_header_6_secondary_menu {
    width: auto;
    position: static;
    font-family: var(--wp-estate-menu-font-family-option, var(--wp-estate-menu-font-family));
    font-weight: var(--wp-estate-menu-font-weight-option, var(--wp-estate-menu-font-weight));
	display:flex;
	align-items:center;
}

 .wpresidence_header_6_secondary_menu ul li {
    display: inline-block;
    text-align: left;
    position: relative;
    transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    -ms-transition: all 0.4s ease;
    -webkit-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    line-height: var(--wp-estate-header-height-option, var(--wp-estate-header-height));
    font-size: var(--wp-estate-top-menu-font-size-option, var(--wp-estate-top-menu-font-size));
}
.wpresidence_header_6_secondary_menu a{
	color: var(--wp-estate-transparent-menu-font-color-option, var(--wp-estate-transparent-menu-font-color));
	text-transform: uppercase;
}
.wpresidence_header_6_secondary_menu .wpresidence_dropdown .dropdown-toggle{
/* 	color: #fff; */
    background-color: rgba(0, 0, 0, 0);
    background-image: none;
    border: 1px solid rgba(0, 0, 0, 0);
	padding: 10px 15px; 
    text-transform: uppercase; 
    position: relative; 
    font-size: var(--wp-estate-top-menu-font-size-option, var(--wp-estate-top-menu-font-size));
	display:flex;
	justify-content:center;
	font-weight:500;
     
}
.header_transparent .wpresidence_header_6_secondary_menu .wpresidence_dropdown .dropdown-toggle{
color: #fff; 
}
/* .wpresidence_dropdown.currency{
	width:10% !important;
} */
#menu-secondary-menu{
	margin:0 !important;
}
@media (max-width: 768px) {
	.wpresidence_dropdown.currency{
		width:100% !important;
	}
}
@media (min-width: 769px) {
	.wpresidence_dropdown.currency{
		width:85px !important;
	}
}
#menu-secondary-menu li a{
	text-transform: uppercase; 
}
.wpresidence_header_6_secondary_menu .wpresidence_dropdown .dropdown-toggle.show{
	color: #fff;
    background-color: rgba(0, 0, 0, 0);
    background-image: none;
    border: 1px solid rgba(0, 0, 0, 0);
}
.wpresidence_header_6_secondary_menu .wpresidence_dropdown .btn:not(:disabled):not(.disabled):active:focus{
	color: #fff !important;
    background-color: rgba(0, 0, 0, 0) !important;
    background-image: none !important;
    border: 1px solid rgba(0, 0, 0, 0) !important;
}
.header_transparent .wpresidence_header_6_secondary_menu .wpresidence_dropdown .dropdown-toggle::after{
	color: #fff !important;
}

.property-section {
  padding: 60px 20px;
}

.property-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
}

.property-box {
  position: relative;
  overflow: hidden;
  height: auto;
  cursor: pointer;
}

.property-box img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.4s ease;
}

.property-box:hover img {
  transform: scale(1.1);
}

.overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.4);
  color: #fff;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  padding: 30px;
  transition: 0.4s ease;
}

.overlay h3 {
  margin: 0;
  color:#fff;
  text-transform:uppercase;
}

.overlay p {
  margin-top: 10px;
  opacity: 0;
  transform: translateY(20px);
  transition: 0.4s ease;
}

.view-text {
  position: absolute;
  top: 25px;
  right: 30px;   /* moved to right side */
  font-size: 25px;
  letter-spacing: 2px;
  display: flex;
  align-items: center;
  gap: 10px;
  opacity: 0;
  transition: 0.4s ease;
  font-weight: 300;
}

/* Colored line */
.view-line {
  width: 40px;
  height: 2px;
  background: #fff; /* change to your brand color */
  display: inline-block;
}

/* Show on hover */
.property-box:hover .view-text {
  opacity: 1;
}

/* Hover Effects */
.property-box:hover .overlay {
  background: rgba(0, 0, 0, 0.65);
}

.property-box:hover .overlay p {
  opacity: 1;
  transform: translateY(0);
}

.property-box:hover .view-text {
  opacity: 1;
}
@media (max-width: 1250px) {
	.h3{
		font-size:20px;
	}
	.property-box:hover .overlay p{
  		font-size:13px;
	}
}
/* Responsive */
@media (max-width: 992px) {
  .property-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 600px) {
  .property-grid {
    grid-template-columns: 1fr;
  }
}
.section_subhead p{
	max-width:700px;
}
.sale_counter{
	font-size:25px;
	font-weight:300;
}
.counter_section .elementor-counter-title{
	display:flex;
	flex-direction:column;
}
.ti-review-item{
	border:1px solid grey;
	border-radius:10px;
}
.elementor-shortcode .ti-widget.ti-goog .ti-widget-container, .ti-widget.ti-goog .ti-widget-container .ti-reviews-container-wrapper{
	column-gap:20px !important;
}
/* Digistromer edited code */
.widget_nav_menu #menu-footer-second-row-menu li:before{
	display: none;
	content:none;
}
#colophon #menu-footer-second-row-menu a:hover, #colophon li a:hover {
    color: #fff;
    font-weight: 300;
}
#colophon .widget-title-footer {
    font-size: 18px !important;
    color: var(--wp-estate-footer-heading-color-option, var(--wp_estate_footer_heading_color));
}
#colophon a, #colophon li a {    
     font-size: 14px !important;
    font-weight: 200;
    letter-spacing: .5px;
	line-height: 1.8em;
}
.widget_nav_menu #menu-footer-third-column-menu li:before{
	display: none;
	content:none;
}
#colophon #menu-footer-third-column-menu a:hover, #colophon li a:hover {
    color: #fff;
    font-weight: 300;
}
#colophon p {
    line-height: 1.6em;
    font-size: 14px;
    margin-top: 10px;
	color:#D6C9B480;
}
.widget_nav_menu #menu-footer-fourth-column-menu li:before{
	display: none;
	content:none;
}
#colophon #menu-footer-fourth-column-menu a:hover, #colophon li a:hover {
    color: #fff;
    font-weight: 300;
}
#colophon #menu-footer #menu-item-20845 a:hover, #colophon li a:hover {
    color: #987a45;
	font-size: 14px;
    font-weight: 400;
}
#colophon #menu-footer #menu-item-20861 a:hover, #colophon li a:hover {
    color: #987a45;
	font-size: 14px;
    font-weight: 400;
}
@media (max-width: 600px) {
  .sale_counter {
    display:none;
  }
	.property-box .overlay {
		background: rgba(0, 0, 0, 0.65);
	}
	.property-box .view-text {
		opacity:1;
	}
	.property-box p {
		opacity:1;
	}
}
.elementor-counter-title{
	white-space:nowrap;
}

.master_header_sticky .wpresidence_header_6_secondary_menu .wpresidence_dropdown .dropdown-toggle {
    color: black;
}
.master_header_sticky .wpresidence_header_6_secondary_menu .wpresidence_dropdown .dropdown-toggle::after {
    color: #000 !important;
}
.header_transparent  .master_header_sticky .wpresidence-navigation-menu ul.menu > li > a:hover{
	 color: var(--wp-estate-sticky-menu-font-color-option, var(--wp-estate-sticky-menu-font-color));
}
/* .wpresidence-navigation-menu .menu-mega-menu-updated-container ul li a{
	color:#000 !important;
} */
.header_transparent .wpresidence-navigation-menu ul.menu > li > a:hover{
	color:#fff !important;
}
.header_transparent .hover_type_5 .wpresidence-navigation-menu .menu > li:hover > a {
    border-bottom: 3px solid #fff; 
    padding: 7px 10px;
    margin-left: 5px;
    margin-right: 5px;
    display: inline;
}


/*testing */


/*.elementor-widget-WpResidenc_Items_Slider .property_listing {
position: relative;
overflow: hidden;
border-radius: 6px;
background: transparent;
}*/


/*.elementor-widget-WpResidenc_Items_Slider .listing-unit-img-wrapper{
position: relative;
overflow: hidden;
}*/


.elementor-widget-WpResidenc_Items_Slider .listing-unit-img-wrapper img{
width:100%;
height:520px !important;
object-fit:cover;
transition:transform .6s ease;
}


.elementor-widget-WpResidenc_Items_Slider .property_listing:hover img{
transform:scale(1.1);
}


/*.elementor-widget-WpResidenc_Items_Slider .listing-unit-img-wrapper:after{
content:"";
position:absolute;
left:0;
right:0;
bottom:0;
height:60%;
background:linear-gradient(to top, rgba(0,0,0,0.6), transparent);
z-index:1;
}*/


.elementor-widget-WpResidenc_Items_Slider .property-unit-information-wrapper{
position:absolute;
/* bottom:15px; */
	bottom:60px;
left:15px;
right:15px;
background:rgba(255,255,255,0.85);
/* padding:18px; */
border-radius:4px;
z-index:2;
}

.elementor-widget-WpResidenc_Items_Slider .property_location{
	display:none;
}

/*.elementor-widget-WpResidenc_Items_Slider .property_listing{
padding:0;
}


.elementor-widget-WpResidenc_Items_Slider .property_agent_wrapper,
.elementor-widget-WpResidenc_Items_Slider .listing_actions,
.elementor-widget-WpResidenc_Items_Slider .property_categories_type1_wrapper{
display:none;
}*/


/*@media (max-width:992px){
.col-lg-4{
flex:0 0 50%;
max-width:50%;
}
}

@media (max-width:600px){
.col-lg-4{
flex:0 0 100%;
max-width:100%;
}
}*/
#colophon a:hover, #colophon li a:hover{
	color: #fff !important;
}
#colophon a, #colophon li a{
	color: #D6C9B480 !important;
}
.wpresidence-navigation-menu,.wpresidence_dropdown .dropdown-toggle{
	font-family: 'SUMPTUOUS', sans-serif !important;
}
.subheading_over_video, .subheading_over_image {
   
    font-size: 25px !important;
    
    max-width: 650px !important;
    
}


/* Mobile devices */
@media (max-width: 767px) {
	.heading_over_video, .heading_over_image{
		font-size:50px !important;
	}
 .subheading_over_video, .subheading_over_image {
   	font-size: 20px !important;
    max-width: 450px !important;
   }
	
}
